#include "AbstractParser.h"

AbstractParser::AbstractParser(const char *resource) : _resource(NULL)
{
    _resource = (char *) malloc((strlen(resource) * sizeof(char)) + 1); //+1 for the string terminating character
    strcpy(_resource, resource);
}

AbstractParser::~AbstractParser()
{
    free(_resource);
}
